-- gates_iron
-- By Splizard
-- Forum post: http://c55.me/minetest/forum/viewtopic.php?id=896
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--      
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--      
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
-- MA 02110-1301, USA.
--      

-- Nodes
--
gates.register_node('gates_iron:gate', {
	description = "Iron Gate",
    groups = {snappy=1,bendy=2},
    drop = "gates_iron:gate",
},
{
    drawtype = 'plantlike',
    sunlight_propagates = true,
    paramtype = 'light',
    visual_scale = 1.5,
	tile_images = {'gate_iron_open.png'},
	walkable = false,
},
{
	tile_images = {'gate_iron_top.png','gate_iron_top.png','gate_iron.png'},
	walkable = true,
}, "on_mesecon")


local gate_on_mesecon = function(pos,node)
	if gates.registered_nodes["on_mesecon"][node.name] ~= nil then
		minetest.env:add_node(pos, {
			name = gates.registered_nodes["on_mesecon"][node.name],
		})
	end
end

--
-- Crafts
--
minetest.register_craft({
    output = '"gates_iron:gate" 2',
    recipe = {
        {"default:iron_lump", "default:steel_ingot", "default:iron_lump"},
        {"default:iron_lump", "default:steel_ingot", "default:iron_lump"},
    },
})

-- Mesecon Stuff:
mesecon:register_on_signal_on(gate_on_mesecon)
mesecon:register_on_signal_off(gate_on_mesecon)
